#ifndef __OBJECT_X_H__
#define __OBJECT_X_H__

#include <d3dx9.h>
#include "BoundingSphere.h"
#include "xFile.h"

class ObjectX
{
public:
	ObjectX(IDirect3DDevice9* Device);
	void setYRot(float y);
	void setTran(float x, float y, float z);
	void setBSphere();
	void display();
	void setFile(char *fileName);

	XFile *xfile;
	BoundingSphere BSphere;

private:
	float yRot;
	float xTran, yTran, zTran;
};

#endif 