#ifndef __PICK_H__
#define __PICK_H__

#include "BoundingSphere.h"

class Ray
{
public:
	D3DXVECTOR3 _origin;
	D3DXVECTOR3 _direction;
};

class Pick
{
public:
	Pick(IDirect3DDevice9* device);
	Ray CalcPickingRay(int x, int y);
	void TransformRay(Ray* ray, D3DXMATRIX* T);
	bool RaySphereIntTest(Ray* ray, BoundingSphere* sphere);
	bool pickTest(int x, int y, BoundingSphere* BSphere);

private:
	Ray ray;
	IDirect3DDevice9* Device;

};

#endif
