//xFile.h
#ifndef XFILE

#define XFILE

#include "d3dUtility.h"
#include <vector>


class XFile{
public:
	ID3DXMesh*                      Mesh;
	std::vector<D3DMATERIAL9>       Mtrls;
	std::vector<IDirect3DTexture9*> Textures;
	IDirect3DDevice9* Device;

	ID3DXBuffer* adjBuffer;
	ID3DXBuffer* mtrlBuffer;
	DWORD        numMtrls;

	bool loadMesh(char *fileName);
	void Cleanup();
	void display(D3DXMATRIX *m);
	XFile(IDirect3DDevice9* device);
};

#endif